Bug 189629 - [maintainer-update] update security/kpcli to 2.5
Summary: [maintainer-update] update security/kpcli to 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-10 21:00 UTC by alexander.4mail
Modified: 2014-05-22 06:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexander.4mail 2014-05-10 21:00:00 UTC
Update security/kpcli from 2.3 to 2.5

from README:
 2013-Nov-26 v2.4
 Fixed several "perl -cw" warnings reported on 2013-07-09 as SourceForge bug #9.
 Bug fix for the cl command, but in sub cli_ls().
 First pass at Strawberry perl/MS Windows support.
 Enhanced support for Term::ReadLine::Perl
 Added support for Term::ReadLine::Perl5
 Added display of expire time for show -a.
 Added -a option to the find command.
 Used the new magic_file_type() in a few places.
 Added generatePasswordFromDict() and "w" generation.
 Added the -v option to the version command.
 Added the versions command.

 2014-Mar-15 v2.5
 Added length control (gNN) to password generation.
 Added the copy command (and cp alias).
 Added the clone command.
 Added optional modules not installed to version -v.
 Groups can now also be moved with the mv command.
 Modified cli_cls() to also work on MS Windows.
 Suppressed Term::ReadLine::Gnu hint on MS Windows.
 Suppressed missing termcap warning on MS Windows.
 Print a min number of *s to not leak passwd length.
 Removed unneeded use of Term::ReadLine.
 Quieted "inherited AUTOLOAD for non-method" warns caused by Term::Readline::Gnu on perl 5.14.x.

Fix: --G4iJoqBmSsgzjUCe
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="kpcli-2.5.diff"



--G4iJoqBmSsgzjUCe----wXbjcR4m1MyAx9YPWEAGUwCsklcGBPk57FCI2lF1BOaviLPO
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 353598)
+++ Makefile	(working copy)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	kpcli
-PORTVERSION=	2.3
+PORTVERSION=	2.5
 PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	SF/kpcli/
Index: distinfo
===================================================================
--- distinfo	(revision 353598)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (kpcli-2.3.pl) = a536f01c7db2460d4b31e83fa59dd1200e5194f9a8a626eb8cf429e5a6d4329c
-SIZE (kpcli-2.3.pl) = 105864
+SHA256 (kpcli-2.5.pl) = d69b2e875c98558ebd86203ff24844f8ed40dffcdc06b21fbaa8ed02d90d4217
+SIZE (kpcli-2.5.pl) = 128268
Comment 1 dfilter service freebsd_committer 2014-05-22 06:44:24 UTC
Author: miwi
Date: Thu May 22 05:44:19 2014
New Revision: 354773
URL: http://svnweb.freebsd.org/changeset/ports/354773
QAT: https://qat.redports.org/buildarchive/r354773/

Log:
  - Update to 2.5
  
  PR:		189629
  Submitted by:	Alexander <alexander.4mail@gmail.com> (maintainer)

Modified:
  head/security/kpcli/Makefile
  head/security/kpcli/distinfo

Modified: head/security/kpcli/Makefile
==============================================================================
--- head/security/kpcli/Makefile	Thu May 22 05:42:59 2014	(r354772)
+++ head/security/kpcli/Makefile	Thu May 22 05:44:19 2014	(r354773)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	kpcli
-PORTVERSION=	2.3
+PORTVERSION=	2.5
 PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	SF/kpcli/
@@ -20,10 +20,10 @@ RUN_DEPENDS=	p5-Crypt-Rijndael>=1.08:${P
 		p5-Term-ShellUI>=0.9:${PORTSDIR}/shells/p5-Term-ShellUI \
 		p5-ReadLine-Gnu>=1.19:${PORTSDIR}/devel/p5-ReadLine-Gnu \
 		p5-Data-Password>=0:${PORTSDIR}/security/p5-Data-Password
-
 BUILD_DEPENDS:=	${RUN_DEPENDS}
 
-USES=		perl5
+USES=		perl5 shebangfix
+SHEBANG_FILES=	kpcli
 PLIST_FILES=	bin/kpcli man/man1/${PORTNAME}.1.gz
 
 do-extract:

Modified: head/security/kpcli/distinfo
==============================================================================
--- head/security/kpcli/distinfo	Thu May 22 05:42:59 2014	(r354772)
+++ head/security/kpcli/distinfo	Thu May 22 05:44:19 2014	(r354773)
@@ -1,2 +1,2 @@
-SHA256 (kpcli-2.3.pl) = a536f01c7db2460d4b31e83fa59dd1200e5194f9a8a626eb8cf429e5a6d4329c
-SIZE (kpcli-2.3.pl) = 105864
+SHA256 (kpcli-2.5.pl) = d69b2e875c98558ebd86203ff24844f8ed40dffcdc06b21fbaa8ed02d90d4217
+SIZE (kpcli-2.5.pl) = 128268
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2014-05-22 06:44:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!